Commons uploads: Support spreadsheet data format ODS
OpenPublic

Description

There are currently no supported spreadsheet formats on commons. As this is one of the most universal file and data types in the world, and wikitables are both poor substitutes and only usable for data up to a few hundred rows, this poses a problem.

The potential future existence of WikiData does not solve this problem; that will simply be a place to store the cell-level data stored in spreadsheets. We will have even more of a reason to have the original datasets stored on Commons (or on WD itself, if it becomes a shared cross-Project namespace) then.

Support should at least include one of {CSV, ODB}. (See also bug 2089 for the full suite of Office formats.)


Version: 1.21.x
Severity: enhancement
See Also:
http://bugzilla.wikimedia.org/show_bug.cgi?id=2089

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz43151.
Sj created this task.Via LegacyDec 15 2012, 2:47 AM
Dereckson added a comment.Via ConduitDec 15 2012, 2:51 AM

Moving bug to the ContentHandler system.

Nemo_bis added a comment.Via ConduitDec 15 2012, 10:01 AM

Why ODB and not ODS?

(In reply to comment #1)

Moving bug to the ContentHandler system.

Really?

Dereckson added a comment.Via ConduitDec 15 2012, 10:33 AM

(In reply to comment #2)

(...)
(In reply to comment #1)
> Moving bug to the ContentHandler system.

Really?

I wonder if the interest to allow upload wouldn't be strongly limited if we couldn't print or edit the spreadsheet.

Nemo_bis added a comment.Via ConduitDec 15 2012, 10:46 AM

(In reply to comment #3)

I wonder if the interest to allow upload wouldn't be strongly limited if we
couldn't print or edit the spreadsheet.

ODS upload is already enabled on several or most private wikis because it's extremely useful. CSVs on wiki pages would require much more thought.

DanielFriesen added a comment.Via ConduitDec 15 2012, 10:54 AM

(In reply to comment #4)

(In reply to comment #3)
> I wonder if the interest to allow upload wouldn't be strongly limited if we
> couldn't print or edit the spreadsheet.

ODS upload is already enabled on several or most private wikis because it's
extremely useful. CSVs on wiki pages would require much more thought.

Much more? We are already working towards supporting syntaxes besides WikiText in articles. And text based formats we can make great representations of such as CSVs fit greatly within that.

Nemo_bis added a comment.Via ConduitDec 15 2012, 10:58 AM

(In reply to comment #5)

Much more? We are already working towards supporting syntaxes besides
WikiText
in articles. And text based formats we can make great representations of such
as CSVs fit greatly within that.

It's still something *not* available currently.
Moving back to Uploading/File management: please open another bug for the on-wiki handling and display of CSV, thanks.

Aklapper added a comment.Via ConduitDec 15 2012, 12:13 PM
  1. Only one request per bug report, please. See https://www.mediawiki.org/wiki/How_to_report_a_bug . This report is unfixable as nobody can define when "spreadsheet data formats" are "supported" by MediaWiki.
  2. What is ODB? Links to definitions welcome.
  3. Why would anybody use something as error-prone as CSV (e.g. missing support to define charsets)? If I was a developer I'd close any request to support CSV as WONTFIX. It's a can of worms.
DanielFriesen added a comment.Via ConduitDec 15 2012, 12:50 PM

(In reply to comment #7)

  1. Only one request per bug report, please. See https://www.mediawiki.org/wiki/How_to_report_a_bug . This report is unfixable as nobody can define when "spreadsheet data formats" are "supported" by MediaWiki.
  2. What is ODB? Links to definitions welcome.

https://en.wikipedia.org/wiki/OpenDocument

However I vaguely remember comments about security issues involved with permitting the upload of document formats such as this.

  1. Why would anybody use something as error-prone as CSV (e.g. missing support to define charsets)? If I was a developer I'd close any request to support CSV as WONTFIX. It's a can of worms.

I do not see how lack of charset specification is a bug. Plaintext has the same issue. As do other formats. And where a format does support internal charset specification I usually would not think too highly of how it's done. One typically simply expects everything to be UTF-8 encoded.

Bawolff added a comment.Via ConduitDec 15 2012, 9:54 PM

(In reply to comment #0)

There are currently no supported spreadsheet formats on commons.

Supported how? This request is extremely ambiguous. Do you just want to upload them? Do you want to be able to thumbnail/display them in some manner? Do you want to be able to reference specific cells from wikitext? Do you want to be able to edit them in-wiki? etc

What do you want to do with the spreadsheets? What are your use cases?

However I vaguely remember comments about security issues involved with
permitting the upload of document formats such as this.

They've been fixed (assuming you're thinking of the zip-java one)

Bawolff added a comment.Via ConduitDec 15 2012, 10:00 PM

Also ODB is a database format, not a spreadsheet format... (Actually there's many formats named ODB. I'm assuming you mean the open office thing)

Aklapper added a comment.Via ConduitDec 16 2012, 9:27 AM

This report is unclear enough (plus covers several issues) that I might close it as INVALID soon if it won't see improvements. Also see https://www.mediawiki.org/wiki/How_to_report_a_bug how to report requests.

Nemo_bis added a comment.Via ConduitDec 16 2012, 9:35 AM

(In reply to comment #12)

This report is unclear enough (plus covers several issues) that I might close
it as INVALID soon if it won't see improvements.

Made it a request for ODS format. I don't know how secure this is for Commons and if something else has to be fixed in MediaWiki itself.

Bawolff added a comment.Via ConduitMay 23 2014, 1:45 AM

(In reply to Nemo from comment #13)

(In reply to comment #12)
> This report is unclear enough (plus covers several issues) that I might close
> it as INVALID soon if it won't see improvements.

Made it a request for ODS format. I don't know how secure this is for
Commons and if something else has to be fixed in MediaWiki itself.

Can we get some concensus here? Provided you want upload but no display, that's probably ok now that the zip bug is fixed (I haven't looked recently, don't quote me on that), but needs approval of commons community.

So next step to resolve (or reject) this bug: Ask commons.

Multichill added a comment.Via ConduitMay 27 2014, 8:54 PM

These files are not in scope (https://commons.wikimedia.org/wiki/Commons:Project_scope) so please don't enable this unless you have very clear community consensus in favor of it.

Nemo_bis added a comment.Via ConduitMay 27 2014, 9:05 PM

(In reply to Maarten Dammers from comment #15)

These files are not in scope
(https://commons.wikimedia.org/wiki/Commons:Project_scope) so please don't
enable this unless you have very clear community consensus in favor of it.

That's not what https://commons.wikimedia.org/wiki/Commons:Project_scope/Allowable_file_types currently says. If you think it's outdated and you can edit it to reflect what's current consensus that would be great.

Sj added a comment.Via ConduitSep 25 2014, 8:33 PM

Bawolff: yes, upload but not display. Thanks for the next step.

Maarten, can you clarify what you mean by 'not in scope'?

I admit that I don't understand the current process for enabling file types for upload on Commons, though not for lack of trying. When is the last time that a new file type was added? The next step here does seem to be finding community consensus; along with fixing the process for finding that consensus.

Legoktm added a comment.Via ConduitSep 25 2014, 8:43 PM

(In reply to Dereckson from comment #1)

Moving bug to the ContentHandler system.

Related: https://gerrit.wikimedia.org/r/#/c/160610/

Nemo_bis added a comment.Via ConduitSep 25 2014, 9:10 PM

(In reply to SJ from comment #17)

The next step here does seem to be finding
community consensus; along with fixing the process for finding that
consensus.

There is already consensus. In addition to Commons:Scope, a supermajority of users agreed to enable OpenDocument.
https://commons.wikimedia.org/wiki/Commons:Village_pump/Proposals/Archive/2014/07#Support_for_OpenDocument_file_format_upload

I'm surprised to see that the closure claimed there was no consensus, anyway it's enough to repropose it with focus on ODP and ODT to start with.

Gilles added a project: Multimedia.Via WebNov 24 2014, 3:20 PM
El_Grafo added a subscriber: El_Grafo.Via WebJan 16 2015, 10:10 AM
Aklapper added a project: Commons.Via WebMar 10 2015, 4:45 PM
Steinsplitter moved this task to Backlog (Uploading) on the Commons workboard.Via WebMar 11 2015, 12:55 PM
JeanFred moved this task to File format support on the Commons workboard.Via WebTue, Mar 24, 10:31 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.